Subject: Re: bug#60646: 28.2; delete-selection-mode

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 14:33:01 -0700

Eli Zaretskii <[email-masked]> writes:

> delete-selection-mode is problematic in that it introduces behavior
> that is extremely surprising and annoying to those who are used to the
> old-style GUI selections and the Emacs region.

That's probably true.  I'd personally not use the word "extremely" given
that it'd be relatively easy for veterans to turn it off (easier than,
say, for beginners to turn it on).

> Thus, enabling it by default is out of the question;

I don't agree, not completely, but this *is* long-standing behavior, and
a change would be controversial.  This has been discussed many times,
and it's been hard to find a new consensus.

I'm therefore closing this bug report.  Thanks for reporting it, and I'm
sorry if the conclusion is disappointing.  We will have a chance to
revisit this the next time someone brings it up.